=== debian/changelog ===
roarplaylistd (0.1~rc4-2build1) natty; urgency=low

  * No change rebuild against current roaraudio to match SONAME.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 09 Feb 2011 19:32:13 +0530

roarplaylistd (0.1~rc4-2) unstable; urgency=low

  * Resolved file conflict between packages roarplaylistd and
    roarplaylistd-tools
    Closes: #609147

 -- Philipp Schafft <lion@lion.leolix.org>  Fri,  7 Jan 2011 11:57:34 +0100

roarplaylistd (0.1~rc4-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #608139
    - Linking with --no-add-needed should be fixed now
      Closes: #606019
  * Add new packages roarplaylistd-codechelper-gst and roarplaylistd-tools.

  [ Philipp Schafft ]
  * Enable XSPF playlist support (using libxml2)

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jan 2011 22:16:09 +0100

roarplaylistd (0.1~rc3-1) unstable; urgency=low

  * New upstream release.
  * Update init script to let the daemon set ownership of sockets and
    prevent start if already running.
  * Upgrade Recommends to Depends (Closes: #603042)

 -- Philipp Schafft <lion@lion.leolix.org>  Sat, 13 Nov 2010 15:27:40 +0100

roarplaylistd (0.1~rc2-1) unstable; urgency=high

  [ Patrick Matthäi ]
  * Refer the GPL-3 license in debian/copyright, not GPL-3+.
  * Mangle ~ in debian/watch of the Debian version.

  [ Philipp Schafft ]
  * New upstream release.
  * Corrected watch file so regex matches upstream filename.
  * No longer use init script provided by upstream (Closes: #602616)
  * Do not run daemon as root. Fixes root exploit.
    (See upstream bug https://bts.keep-cool.org/ticket/63)

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Nov 2010 20:34:03 +0100

roarplaylistd (0.1~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Oct 2010 17:24:20 +0200

roarplaylistd (0.1~rc0-1) unstable; urgency=low

  * Initial release.
    Closes: #572416

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Sep 2010 20:49:40 +0200
