=== debian/control ===
Source: roarplaylistd
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7), libroar-dev, uuid-dev, libxml2-dev
Standards-Version: 3.9.1
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: roarplaylistd
Architecture: any
Suggests: roarplaylistd-client, vclt-tools, roarplaylistd-codechelper-gst
Depends: roaraudio | roaraudio-server, ${shlibs:Depends}, ${misc:Depends}
Recommends: roarplaylistd-tools
Description: RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.

Package: roarplaylistd-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 roarplaylistd (= ${binary:Version})
Description: RoarAudio PlayList Daemon (RPLD) (debugging symbols)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This package provides debugging symbols for the roarplaylistd package.

Package: roarplaylistd-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libaudio-rpld-perl
Suggests: roarplaylistd
Description: Tools to control RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This is a collection of tools to control RoarAudio PlayList Daemon (RPLD).

Package: roarplaylistd-codechelper-gst
Architecture: all
Depends: ${misc:Depends}, gstreamer-tools
Recommends: gstreamer0.10-plugins-ugly
Suggests: roarplaylistd
Description: roarplaylistd helper script for GStreamer codecs
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This helper script is used for roarplaylistd to play additional codecs
 (GStreamer version).
