=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
http://roaraudio.keep-cool.org/downloads.html dl/rpld-(.*)\.tar\.gz
