## roarplaylistd 0.1~rc5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include Makefile.conf
 
 #DEFINES  = -DDEBUG
-DEFINES += $(def_uuid) $(def_slp) $(def_xml2)
+DEFINES += $(fdef_ALL) $(def_uuid) $(def_slp) $(def_xml2)
 DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
 CFLAGS  += -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -g -O2 $(INCPATH) $(DEFINES)
 LDFLAGS += -g $(LDPATH)
