=== debian/changelog ===
roarplaylistd (0.1~rc5-2) unstable; urgency=low

  * Mangle rc to ~rc in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:07:12 +0100

roarplaylistd (0.1~rc5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed lintian warnings about missing targets build-arch and build-indep.
  * Updated copyright file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:11:48 +0200

roarplaylistd (0.1~rc4-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:37:00 +0200
