=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
-Build-Depends: debhelper (>= 7), libroar-dev, uuid-dev, libxml2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7),
+ libroar-dev,
+ uuid-dev,
+ libxml2-dev,
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
