## roarplaylistd 0.1~rc6

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 #DEFINES  = -DDEBUG
 DEFINES += $(fdef_ALL) $(def_uuid) $(def_slp) $(def_xml2)
 DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
-CFLAGS  += -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -g -O2 $(INCPATH) $(DEFINES)
-LDFLAGS += -g $(LDPATH)
+CFLAGS  += -Wall -Wextra -g -O2 $(INCPATH) $(DEFINES)
+LDFLAGS += -Wall -Wextra -g -O2 $(LDPATH)
 
 NETLIBS += $(lib_wsock32) $(lib_ws2_32)
 LIBS    += $(lib_roar) $(lib_uuid) $(lib_slp) $(lib_xml2) $(NETLIBS)
