=== debian/changelog ===
roarplaylistd (0.1~rc6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump build dependency on libroar-dev to >= 1.0~beta0.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Mar 2012 16:22:58 +0100
