=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
- libroar-dev,
+ libroar-dev (>= 1.0~beta0),
  uuid-dev,
  libxml2-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: roarplaylistd
 Architecture: any
-Suggests: roarplaylistd-client, vclt-tools, roarplaylistd-codechelper-gst
-Depends: roaraudio | roaraudio-server, ${shlibs:Depends}, ${misc:Depends}
+Suggests: roarplaylistd-client,
+ vclt-tools,
+ roarplaylistd-codechelper-gst
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ roaraudio | roaraudio-server
 Recommends: roarplaylistd-tools
 Description: RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -31,7 +35,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
  roarplaylistd (= ${binary:Version})
 Description: RoarAudio PlayList Daemon (RPLD) (debugging symbols)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -48,7 +53,9 @@
 
 Package: roarplaylistd-tools
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libaudio-rpld-perl
+Depends: ${misc:Depends},
+ ${perl:Depends},
+ libaudio-rpld-perl
 Suggests: roarplaylistd
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -65,7 +72,8 @@
 
 Package: roarplaylistd-codechelper-gst
 Architecture: all
-Depends: ${misc:Depends}, gstreamer-tools
+Depends: ${misc:Depends},
+ gstreamer-tools
 Recommends: gstreamer0.10-plugins-ugly
 Suggests: roarplaylistd
 Description: roarplaylistd helper script for GStreamer codecs
