=== debian/changelog ===
roarplaylistd (0.1.1-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
  * Add upstream patch 01-uninitialized-pointers to fix a segfault within the
    multi-queue support.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Jul 2012 22:39:15 +0200

roarplaylistd (0.1.1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added status command to init script.
    - Added read support for xspf playlists.
    - Tools rpld-play, rpld-stop, rpld-next, rpld-prev, rpld-addplaylist,
      rpld-delplaylist and rpld-store become deprecated but are still included.

  [ Patrick Matthäi ]
  * New upstream release 0.1.1.
  * Overwrite false positive lintian warning roarplaylistd:
    hardening-no-fortify-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 May 2012 21:06:12 +0200

roarplaylistd (0.1~rc7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added support for multiple queues.
    - Drastically reduced memory consumption.
    - Improved plugin interface.
    - Changed internal database format. No downgrade possible.
  * Add new package roarplaylistd-dev (plugin development files).
  * Bump build dependency on libroar-dev to >= 1.0~beta1.
  * Upgrade Suggest on roarplaylistd-client to Recommend.
  * Added Provides of roarplaylistd-client to roarplaylistd-tools.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 May 2012 18:47:56 +0200
