=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: roarplaylistd
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
- libroar-dev (>= 1.0~beta0),
+ libroar-dev (>= 1.0~beta1),
  uuid-dev,
  libxml2-dev,
  hardening-wrapper
@@ -13,13 +12,14 @@
 
 Package: roarplaylistd
 Architecture: any
-Suggests: roarplaylistd-client,
- vclt-tools,
- roarplaylistd-codechelper-gst
+Suggests: vclt-tools,
+ roarplaylistd-codechelper-gst,
+ libroar-plugins-universal
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roaraudio | roaraudio-server
-Recommends: roarplaylistd-tools
+Recommends: roarplaylistd-tools,
+ roarplaylistd-client
 Description: RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files
@@ -30,6 +30,25 @@
  .
  File formats and codecs not supported by RoarAudio
  can be handled by using a helper program.
+
+Package: roarplaylistd-dev
+Section: libdevel
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends},
+ libroar-dev (>= 1.0~beta1)
+Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
+ RoarAudio PlayList Daemon is a audio player backend daemon
+ handling playlists. It stores playlists and plays files
+ using RoarAudio as audio backend.
+ .
+ The daemon can be controled using a simple protocol.
+ It can listen on UNIX, TCP and DECnet sockets.
+ .
+ File formats and codecs not supported by RoarAudio
+ can be handled by using a helper program.
+ .
+ This package provides headers and other files for plugin development.
 
 Package: roarplaylistd-dbg
 Section: debug
@@ -57,6 +76,7 @@
  ${perl:Depends},
  libaudio-rpld-perl
 Suggests: roarplaylistd
+Provides: roarplaylistd-client
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files
