=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 config.status:
 	dh_testdir
 	./configure --prefix /usr
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
@@ -57,6 +60,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_installman -a
 	dh_installinit -a
+	dh_lintian -a
 	dh_perl -a
 	dh_strip -a --dbg-package=roarplaylistd-dbg
 	dh_compress -a
