## roarplaylistd 0.1.7

=== debian/changelog ===
roarplaylistd (0.1.7-2) unstable; urgency=low

  * Migrate to minimal debhelper.
  * Uploading to unstable.
  * Bump debian/compat level to 9.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 19 May 2013 19:02:45 +0200

roarplaylistd (0.1.7-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Dec 2012 08:57:32 +0100

roarplaylistd (0.1.6-1) experimental; urgency=low

  * New upstream release.
    - Bump libroar-dev dependency to >= 1.0~beta7.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 12:47:57 +0100

roarplaylistd (0.1.5-1) experimental; urgency=low

  * New upstream release.
    - Remove merged patch 01-hyphen-used-as-minus-sign.
    - Bump libroar-dev dependency to >= 1.0~beta6~pr0.
  * Add the new distribution-version-string.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 16:08:19 +0200

roarplaylistd (0.1.4-1) experimental; urgency=low

  * New upstream release.
    - Bump libroar-dev build depedency to 1.0~beta5.
    - Added new tool and manpage rpld-storemgr and also add the new patch
      01-hyphen-used-as-minus-sign to remove some lintian warnings.
  * Dropped depends on libuuid-dev.
  * Added Suggests to SavannahIce on roarplaylistd-tools.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Aug 2012 19:43:05 +0200

roarplaylistd (0.1.3-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-uninitialized-pointers.
    - Remove deprecated binaries from the tools package.
    - Bump libroar-dev build depedency to 1.0~beta4.
    - Remove now unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 11 Aug 2012 11:45:26 +0200
