=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: roarplaylistd
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
- libroar-dev (>= 1.0~beta1),
- uuid-dev,
+Build-Depends: debhelper (>= 9),
+ libroar-dev (>= 1.0~beta7),
  libxml2-dev,
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
@@ -15,6 +14,7 @@
 Suggests: vclt-tools,
  roarplaylistd-codechelper-gst,
  libroar-plugins-universal
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roaraudio | roaraudio-server
@@ -35,8 +35,9 @@
 Section: libdevel
 Architecture: all
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
- libroar-dev (>= 1.0~beta1)
+ libroar-dev (>= 1.0~beta7)
 Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files
@@ -54,6 +55,7 @@
 Section: debug
 Architecture: any
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roarplaylistd (= ${binary:Version})
@@ -75,7 +77,9 @@
 Depends: ${misc:Depends},
  ${perl:Depends},
  libaudio-rpld-perl
-Suggests: roarplaylistd
+Pre-Depends: dpkg (>= 1.15.6~)
+Suggests: roarplaylistd,
+ savannahice
 Provides: roarplaylistd-client
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -92,6 +96,7 @@
 
 Package: roarplaylistd-codechelper-gst
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  gstreamer-tools
 Recommends: gstreamer0.10-plugins-ugly
