=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp $(CURDIR)/codec-helper/rpld-codec-helper-gstreamer \
		$(CURDIR)/debian/tmp/usr/bin/rpld-codec-helper
	mv -f $(CURDIR)/debian/tmp/usr/bin/rpld \
		$(CURDIR)/debian/tmp/usr/bin/roarplaylistd
	mv -f $(CURDIR)/debian/tmp/usr/share/man/man1/rpld.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/roarplaylistd.1

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=roarplaylistd-dbg
