=== plugins/playback-logging/Makefile ===
BASENAME     = playback-logging

include ../Makefile.inc
