=== debian/changelog ===
roarplaylistd (0.1.9-9) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:21 +0100

roarplaylistd (0.1.9-8) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Set Rules-Requires-Root: no.
  * Adjust source lintian overrides.
  * Remove rpld-tools manpage.
  * Drop init.d script and migrate to systemd service unit.
  * Add new lintian override for missing init.d script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:16 +0100

roarplaylistd (0.1.9-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Fix wrong redirection.
    Closes: #908260

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 10:07:16 +0200

roarplaylistd (0.1.9-6) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1:
    - Switch packages from priority extra to optional.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 11:00:45 +0100

roarplaylistd (0.1.9-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Use DEB_VERSION from pkg-info.mk.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 16:22:43 +0200

roarplaylistd (0.1.9-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Add dependency on lsb-base.
  * Add patch 03-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:30:20 +0100

roarplaylistd (0.1.9-3) unstable; urgency=high

  * Depend on new gstreamer1.0 packages.
    Closes: #816019
  * Bump Standards-Version to 3.9.7 (no changes required).
  * Enable full hardening.
  * Build package without SLP support.
    Closes: #818446
  * Add patch 02-spelling-errors to fix some spelling errors.
  * Fix spelling error in long description.
  * Drop DECnet support from long description.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 19 Mar 2016 17:02:41 +0100

roarplaylistd (0.1.9-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Add GPG signature check for uscan.
  * Update to DEP5 debian/copyright format.
  * Add patch 01-spelling-error-in-manpage to fix a spelling error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 16:41:54 +0200

roarplaylistd (0.1.9-1) unstable; urgency=low

  * New upstream release.
    - This release depends on roaraudio 1.0~beta11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jan 2014 08:34:18 +0100

roarplaylistd (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Delete pid directory on purge, not on remove.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Dec 2013 13:55:05 +0100

roarplaylistd (0.1.7-3) unstable; urgency=high

  * Fix dh_auto_clean.
    Closes: #724217
  * Source /lib/lsb/init-functions in init script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 22:34:59 +0200
