=== debian/control ===
Source: roarplaylistd
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 libroar-dev (>= 1.0~beta11),
 libxml2-dev
Standards-Version: 4.5.1
Section: sound
Rules-Requires-Root: no
Homepage: http://roaraudio.keep-cool.org/

Package: roarplaylistd
Architecture: any
Suggests: vclt-tools,
 roarplaylistd-codechelper-gst,
 libroar-plugins-universal
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 roaraudio | roaraudio-server
Recommends: roarplaylistd-tools,
 roarplaylistd-client
Description: RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.

Package: roarplaylistd-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libroar-dev (>= 1.0~beta11)
Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This package provides headers and other files for plugin development.

Package: roarplaylistd-tools
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libaudio-rpld-perl
Suggests: roarplaylistd,
 savannahice
Provides: roarplaylistd-client
Description: Tools to control RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This is a collection of tools to control RoarAudio PlayList Daemon (RPLD).

Package: roarplaylistd-codechelper-gst
Architecture: all
Depends: ${misc:Depends},
 gstreamer1.0-tools
Recommends: gstreamer1.0-plugins-ugly
Suggests: roarplaylistd
Description: roarplaylistd helper script for GStreamer codecs
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This helper script is used for roarplaylistd to play additional codecs
 (GStreamer version).
