=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--no-slp \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp $(CURDIR)/codec-helper/rpld-codec-helper-gstreamer \
		$(CURDIR)/debian/tmp/usr/bin/rpld-codec-helper
	mv -f $(CURDIR)/debian/tmp/usr/bin/rpld \
		$(CURDIR)/debian/tmp/usr/bin/roarplaylistd
	mv -f $(CURDIR)/debian/tmp/usr/share/man/man1/rpld.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/roarplaylistd.1
